### Virtual Method

# Gcr SecretExchange decrypt_transport_data

#### Declaration [src]

    gboolean
    decrypt_transport_data (
      GcrSecretExchange* exchange,
      GckAllocator allocator,
      const guchar* cipher_text,
      gsize n_cipher_text,
      const guchar* parameter,
      gsize n_parameter,
      guchar** plain_text,
      gsize* n_plain_text
    )

#### Description

No description available.

#### Parameters

`allocator`

  Type: `GckAllocator`

  No description available.

`cipher_text`

  Type: `const guchar*`

  No description available.

  The data is owned by the caller of the function.

`n_cipher_text`

  Type: `gsize`

  No description available.

`parameter`

  Type: `const guchar*`

  No description available.

  The data is owned by the caller of the function.

`n_parameter`

  Type: `gsize`

  No description available.

`plain_text`

  Type: `guchar**`

  No description available.

  The data is owned by the caller of the function.

`n_plain_text`

  Type: `gsize*`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.